AttrConstants (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.AttrConstants interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui
Interface AttrConstants

All Known Implementing Classes:
  Constants, RequestKeyConstants

    public interface AttrConstants

Attribute Constants

Field Summary
`static java.lang.String` | `AGENT` Attribute name to represent the agents of a platform
`static java.lang.String` | `AGENTS_COUNT` Attribute name to represent the agents of a platform
`static java.lang.String` | `AI_IPS` The request or session scope attribute under which actions store the requested `AIIpValue` object for autodiscovery.
`static java.lang.String` | `AI_SAMPLE_SERVICETYPE_LIST` Used in generating the message next to the "Auto-Discover {0}?" checkbox
`static java.lang.String` | `AI_SERVERS` The request or session scope attribute under which actions store the requested `AIServerValue` object for autodiscovery.
`static java.lang.String` | `AIPLATFORM_ATTR` The request or session scope attribute under which actions store the requested `AIPlatformValue` object.
`static java.lang.String` | `AISCHEDULE_ATTR` The request or session scope attribute under which actions store the requested `AIScheduleValue` object.
`static java.lang.String` | `AJAX_HTML`
`static java.lang.String` | `AJAX_ID`
`static java.lang.String` | `AJAX_JSON`
`static java.lang.String` | `AJAX_TYPE` AJAX attributes
`static java.lang.String` | `ALERT_DEFINITION_ATTR`
`static java.lang.String` | `ALERT_DEFS_ATTR`
`static java.lang.String` | `ALERTS_ATTR`
`static java.lang.String` | `ALL_EVENTS_ATTR` The request scope attribute under which actions store the full `List` of `EventValue` objects.
`static java.lang.String` | `ALL_OPS_ATTR` The request scope attribute under which actions store the full `List` of `ResourceTypeValue` objects.
`static java.lang.String` | `ALL_PERMS_ATTR` The request scope attribute under which actions store the full `List` of `ResourceTypeValue` objects.
`static java.lang.String` | `ALL_PLATFORM_SERVICE_TYPES_ATTR`
`static java.lang.String` | `ALL_PLATFORM_TYPES_ATTR`
`static java.lang.String` | `ALL_PLATFORMS_ATTR` The request scope attribute under which actions store the full `List` of `PlatformValue` objects.
`static java.lang.String` | `ALL_PRINCIPALS_ATTR` The request scope attribute under which actions store the full `HashMap` of principals
`static java.lang.String` | `ALL_RESGRPS_ATTR` The request scope attribute under which actions store the full `List` of `ResourceGroupValue` objects.
`static java.lang.String` | `ALL_RESOURCES_ATTR` The request scope attribute under which actions store the full `List` of `AppdefResourceValue` objects.
`static java.lang.String` | `ALL_RESOURCES_CONTROLLABLE` The request scope attribute under which actions store the `List` of `AppdefResourceValue` objects upon which the web user can execute control actions.
`static java.lang.String` | `ALL_RESTYPES_ATTR` The request scope attribute under which actions store the full `List` of `ResourceTypeValue` objects.
`static java.lang.String` | `ALL_SCHEDULES_ATTR` The request scope attribute under which actions store the full `List` of `AIScheduleValue` objects.
`static java.lang.String` | `ALL_SERVER_TYPES_ATTR`
`static java.lang.String` | `ALL_USERS_ATTR` The request scope attribute under which actions store the full `List` of `AuthzSubjectValue` objects.
`static java.lang.String` | `ALL_WINDOWS_SERVICE_TYPES_ATTR`
`static java.lang.String` | `APPDEF_ENTRIES_ATTR` The request scope attribute under which actions store the full `List` of `ServiceValue` objects.
`static java.lang.String` | `APPLICATIONS_ATTR` The request scope attribute under which actions store the full `List` of `ApplicationValue` objects.
`static java.lang.String` | `APPSVC_CURRENT_ATTR`
`static java.lang.String` | `APPSVC_DEPENDEES_ATTR`
`static java.lang.String` | `APPSVC_DEPENDERS_ATTR`
`static java.lang.String` | `AUTO_INVENTORY` Attribute name to store the status of the sbai flag
`static java.lang.String` | `AVAIL_APPSVCS_REQ_ATTR`
`static java.lang.String` | `AVAIL_METRICS_ATTR`
`static java.lang.String` | `AVAIL_RESGRPS_ATTR` the request scope attribute under which actions store the `list` of `resourcegroupsvalue` objects representing those resource groups not associated with a particular role.
`static java.lang.String` | `AVAIL_RESOURCES_ATTR` The request scope attribute under which actions store the `List` of available `AppdefResourceValue` objects.
`static java.lang.String` | `AVAIL_SVCDEPS_REQ_ATTR`
`static java.lang.String` | `AVAIL_USERS_ATTR` The request scope attribute under which actions store the `List` of `AuthzSubjectValue` objects representing those users not associated with a particular role.
`static java.lang.String` | `BREADCRUMB_SESSION_ATTR_NAME`
`static java.lang.String` | `BREADCRUMB_SESSION_BACKUP_ATTR_NAME`
`static java.lang.String` | `CAN_MODIFY_ALERT_ATTR`
`static java.lang.String` | `CAN_TAKE_ACTION_ON_ALERT_ATTR`
`static java.lang.String` | `CAN_VIEW_RESOURCE_TYPE_ALERT_TEMPLATE_ATTR`
`static java.lang.String` | `CAT_AVAILABILITY_METRICS_ATTR`
`static java.lang.String` | `CAT_PERFORMANCE_METRICS_ATTR`
`static java.lang.String` | `CAT_THROUGHPUT_METRICS_ATTR`
`static java.lang.String` | `CAT_UTILIZATION_METRICS_ATTR`
`static java.lang.String` | `CHART_DATA_KEYS` Attribute to look up the chart data key.
`static java.lang.String` | `CHART_DATA_KEYS_SIZE` Attribute to look up the chart data key size.
`static java.lang.String` | `CHART_DATA_SES_ATTR` The session scope attribute under which the `List` of beans containing data for rendering a chart is stored.
`static java.lang.String` | `CHILD_RESOURCE_TYPE_ATTR` The request scope attribute under which actions store the `AppdefResourceTypeValue` of the child resources of an appdef resource.
`static java.lang.String` | `CHILD_RESOURCES_ATTR` The request scope attribute under which actions store the `Collection` of child resources of an appdef resource.
`static java.lang.String` | `CONTROL_ACTIONS_SERVER_ATTR` Request attribute of the list of scheduled control actions.
`static java.lang.String` | `CONTROL_CONFIG_OPTIONS` Attribute name to represent the control configOptions of a resource
`static java.lang.String` | `CONTROL_CONFIG_OPTIONS_COUNT` Attribute name to represent the control configOptions count of a resource
`static java.lang.String` | `CONTROL_CURRENT_STATUS_ATTR` Attribute for value object holding current status of last control action.
`static java.lang.String` | `CONTROL_ENABLED` Attribute name to represent whether or not control is enabled.
`static java.lang.String` | `CONTROL_ENABLED_ATTR` Request attribute of whether or not control is enabled for this resource.
`static java.lang.String` | `CONTROL_HST_DETAIL_ATTR` A value for a request attribute.
`static java.lang.String` | `CTX_INTERNAL` Tiles context attribute used to denote internal services
`static java.lang.String` | `CTX_SUMMARIES` Tiles context attribute used to store resource health summaries
`static java.lang.String` | `CURR_CONFIG_SCHEMA` current configSchema for validation checks
`static java.lang.String` | `CURR_RES_LOCATION_MODE` keyword identifier for the current resource location
`static java.lang.String` | `CURR_RES_LOCATION_TAG`
`static java.lang.String` | `CURR_RES_LOCATION_TYPE`
`static java.lang.String` | `CUSTPROPS_AVAIL` Attribute name to represent whether or not custom properties is available
`static java.lang.String` | `DEF_ROLE_DASH_PREFS` The session scope attribute under which the default role dashboard preferences live
`static java.lang.String` | `DEF_USER_DASH_PREFS` The session scope attribute under which the defualt user dashboard preferences live
`static java.lang.String` | `DEF_USER_PREFS` The session scope attribute under which the default user preferences live
`static java.lang.String` | `DEPLOYED_HEALTH_SUMMARIES_ATTR` The request scope attribute under which actions store a `List` of `ResourceDisplaySummary` objects representing the currently viewed resource's deployed child resources.
`static java.lang.String` | `EDIT_CONFIG` Attribute name to allow/disallow edit of Config Properties
`static java.lang.String` | `ENTITY_IDS_ATTR` The request or session scope attribute under which actions store the `Array` of requested `AppdefEntityID` objects.
`static java.lang.String` | `EU_RT` Attribute name to represent endUserResponseTime
`static java.lang.String` | `EU_RT_SUPPORTED` Attribute name to represent the whether end user rt is supported for this service or not
`static java.lang.String` | `GROUP_FORM_ATTR`
`static java.lang.String` | `GROUP_MEMBER_HEALTH_SUMMARIES_ATTR` The request scope attribute under which actions store a `List` of `ResourceDisplaySummary` objects representing the currently viewed compatible group's members
`static java.lang.String` | `GROUP_REMOVE_MEMBERS_FORM_ATTR`
`static java.lang.String` | `GROUP_TYPE_LABEL` The request scope attribute under which actions store the `AuthzSubjectValue` representing the user who most recently modified the resource.
`static java.lang.String` | `HOST_HEALTH_SUMMARIES_ATTR` The request scope attribute under which actions store a `List` of `ResourceDisplaySummary` objects representing the currently viewed resource's host resources.
`static java.lang.String` | `IMPORT_ERROR_ATTR` The request or session scope attribute under which actions store the requested `ImportError` object for autodiscovery import.
`static java.lang.String` | `IMPORT_IGNORE_ERROR_ATTR` The request or session scope attribute under which actions store the requested `IgnoreError` object for autodiscover import.
`static java.lang.String` | `INTERNAL_HEALTH_SUMMARIES_ATTR` The request scope attribute under which actions store a `List` of `ResourceDisplaySummary` objects representing the currently viewed resource's internal child resources.
`static java.lang.String` | `INVENTORY_HIERARCHY_ATTR` Attribute which holds the current inv hierarchy for Res Hub
`static java.lang.String` | `IS_DASHBOARD_REMOVED` The request scope attribute for toggle dashboard display for default dashboard change
`static java.lang.String` | `JAAS_PROVIDER_CTX_ATTR` The context scope attribute under which the JAAS provider name is stored.
`static java.lang.String` | `LAST_AI_ERROR_ATTR` The request or session scope attribute under which actions store the requested `LastAIError` object.
`static java.lang.String` | `LIST_SIZE_ATTR` The request scope attribute under which the total list size is stored.
`static java.lang.String` | `METRIC_SUMMARIES_ATTR` The request scope attribute under which actions store a `Map` of `MetricDisplaySummary` objects keyed by metric category.
`static java.lang.String` | `MINI_TABS_ATTR` The request scope attribute under which actions store a `List` of `MiniTab` objects representing the minitabs to be displayed on the screen.
`static java.lang.String` | `MONITOR_CONFIG_OPTIONS` Attribute name to represent the monitor configOptions of a resource
`static java.lang.String` | `MONITOR_CONFIG_OPTIONS_COUNT` Attribute name to represent the monitor configOptions count of a resource
`static java.lang.String` | `MONITOR_ENABLED_ATTR` Request attribute indicating whether monitoring is enabled for a resource.
`static java.lang.String` | `MONITOR_HELP` Request attribute to hold monitoring help text
`static java.lang.String` | `NEEDS_REGISTRATION`
`static java.lang.String` | `NUM_APPSVC_DEPENDEES_ATTR`
`static java.lang.String` | `NUM_APPSVC_DEPENDERS_ATTR`
`static java.lang.String` | `NUM_AVAIL_APPSVCS_REQ_ATTR`
`static java.lang.String` | `NUM_AVAIL_RESGRPS_ATTR` The request scope attribute under which actions store the number of `ResourceGroupValue` objects in the associated `List` of groups available for association with a role.
`static java.lang.String` | `NUM_AVAIL_RESOURCES_ATTR` The request scope attribute under which actions store the number of available `AppdefResourceValue` objects for a AuthzSubjectValue in the associated `List`.
`static java.lang.String` | `NUM_AVAIL_SVCDEPS_REQ_ATTR`
`static java.lang.String` | `NUM_CHILD_RESOURCES_ATTR` The request scope attribute under which actions store the number of child resources of an appdef resource.
`static java.lang.String` | `NUM_PENDING_APPSVCS_REQ_ATTR`
`static java.lang.String` | `NUM_PENDING_METRICS_ATTR`
`static java.lang.String` | `NUM_PENDING_RESGRPS_ATTR` The request scope attribute under which actions store the number of `ResourceGroupValue` objects in the associated `List` of groups pending association with a role.
`static java.lang.String` | `NUM_PENDING_RESOURCES_ATTR` The request scope attribute under which actions store the number of available `AppdefResourceValue` objects for a AuthzSubjectValue in the associated `List`.
`static java.lang.String` | `NUM_PENDING_SVCDEPS_REQ_ATTR`
`static java.lang.String` | `NUM_RESGRPS_ATTR` The request scope attribute under which actions store the number of `ResourceGroupValue` objects in the associated `List`.
`static java.lang.String` | `NUM_RESOURCES_ATTR` The request scope attribute under which actions store the number of `AppdefResourceValue` objects in the associated `List`.
`static java.lang.String` | `NUM_USERS_ATTR` The request scope attribute under which actions store the number of `AuthzSubjectValue` objects in the associated `List`.
`static java.lang.String` | `OLD_CONFIG_RESPONSE` old configResponse for validation checks
`static java.lang.String` | `OPERATIONS_CTX_ATTR` The context scope attribute under which the list of operations defined by the application is stored.
`static java.lang.String` | `PARENT_RESOURCE_ATTR` The request or session scope attribute under which actions store the requested `PlatformValue` object.
`static java.lang.String` | `PASSWORD_SES_ATTR` The session scope attribute under which an LDAP user's password is stored during registration.
`static java.lang.String` | `PENDING_APPSVCS_REQ_ATTR`
`static java.lang.String` | `PENDING_APPSVCS_SES_ATTR` The session scope attribute under which the ids of services pending association with a application are stored.
`static java.lang.String` | `PENDING_METRICS_ATTR`
`static java.lang.String` | `PENDING_RESGRPS_ATTR` The request scope attribute under which actions store the `List` of `ResourceGroupValue` objects representing those groups pending association with a particular role.
`static java.lang.String` | `PENDING_RESGRPS_SES_ATTR` The session scope attribute under which the ids of groups pending association with a role are stored.
`static java.lang.String` | `PENDING_RESOURCES_ATTR` The request scope attribute under which actions store the `List` of pending `AppdefResourceValue` objects.
`static java.lang.String` | `PENDING_RESOURCES_SES_ATTR` The session scope attribute under which the ids of resources pending association with a group are stored.
`static java.lang.String` | `PENDING_ROLES_SES_ATTR` The session scope attribute under which the ids of roles pending association with a user are stored.
`static java.lang.String` | `PENDING_SVCDEPS_REQ_ATTR`
`static java.lang.String` | `PENDING_SVCDEPS_SES_ATTR`
`static java.lang.String` | `PENDING_USERS_ATTR` The request scope attribute under which actions store the `List` of `AuthzSubjectValue` objects representing those users pending association with a particular role.
`static java.lang.String` | `PENDING_USERS_SES_ATTR` The session scope attribute under which the ids of users pending association with a role are stored.
`static java.lang.String` | `PERF_SUMMARIES_ATTR` The request scope attribute under which actions store a `PageList` of `PerformanceDisplaySummary` objects.
`static java.lang.String` | `PERFORMANCE_SUPPORTED_ATTR` is performance enabled for this resource?
`static java.lang.String` | `PERMISSIONS_CTX_ATTR` The context scope attribute under which the list of permissions defined by the application is stored.
`static java.lang.String` | `PLATFORM_MACHINE_TYPES_CTX_ATTR` The context scope attribute under which the list of platform machine types defined by general configuration is stored.
`static java.lang.String` | `PLATFORM_OS_EDITABLE` Attribute to represent whether OS Type is editable in the Platform EditTypeNetworkProperties form
`static java.lang.String` | `PLATFORM_SERVICE_ATTR` Indicate that this is a platform service we're dealing with
`static java.lang.String` | `PORTAL_KEY` The request scope attribute under which the Portal object is stored.
`static java.lang.String` | `PRODUCT_CONFIG_OPTIONS` Attribute name to represent the shared configOptions of a resource
`static java.lang.String` | `PRODUCT_CONFIG_OPTIONS_COUNT` Attribute name to represent the shared configOptions count of a resource
`static java.lang.String` | `PROPS_TAGLIB_NAME` name of the table properties file that is stored in the servlet context
`static java.lang.String` | `RESOURCE_ATTR` The request or session scope attribute under which actions store the requested `AppdefResourceValue` object.
`static java.lang.String` | `RESOURCE_HEALTH_LIST`
`static java.lang.String` | `RESOURCE_LOCATIONS_CTX_ATTR` The context scope attribute under which the list of resource locations defined by general configuration is stored.
`static java.lang.String` | `RESOURCE_MODIFIER_ATTR` The request scope attribute under which actions store the `AuthzSubjectValue` representing the user who most recently modified the resource.
`static java.lang.String` | `RESOURCE_OTHER_TYPES_ATTR`
`static java.lang.String` | `RESOURCE_OWNER_ATTR` The request scope attribute under which actions store the `AuthzSubjectValue` representing the user who most recently modified the resource.
`static java.lang.String` | `RESOURCE_REMOVE_APPSERVICES_FORM_ATTR`
`static java.lang.String` | `RESOURCE_REMOVE_CHILDREN_FORM_ATTR`
`static java.lang.String` | `RESOURCE_REMOVE_FORM_ATTR`
`static java.lang.String` | `RESOURCE_REMOVE_GROUPS_MEMBERS_FORM_ATTR`
`static java.lang.String` | `RESOURCE_REMOVE_SERVERS_FORM_ATTR`
`static java.lang.String` | `RESOURCE_REMOVE_SERVICES_FORM_ATTR`
`static java.lang.String` | `RESOURCE_SUMMARY_ATTR` The request scope attribute under which actions store the `AppdefSummary` object.
`static java.lang.String` | `RESOURCE_TYPE_ATTR`
`static java.lang.String` | `RESOURCE_TYPE_MAP_ATTR` The request scope attribute under which actions store the `Map` with the number of child resources for each child resource type of an appdef resource.
`static java.lang.String` | `RESOURCE_TYPES_ATTR` The request scope attribute under which actions store the `Collection` with the number of child resources for each child resource type of an appdef resource.
`static java.lang.String` | `RESTYPES_CTX_ATTR` The context scope attribute under which the list of resource types defined by the application is stored.
`static java.lang.String` | `RETURN_IGNORED_FOR_OK_ATTR` The session scope attribute under which the flag for whether or not the return path is ignored is stored.
`static java.lang.String` | `RETURN_LOC_SES_ATTR` The session scope attribute under which the return path for a sub-workflow is stored.
`static java.lang.String` | `ROLE_RESGRPS_ATTR` The request scope attribute under which actions store the `List` of `ResourceGroupValue` objects for the requested role.
`static java.lang.String` | `ROLE_USERS_ATTR` The request scope attribute under which actions store the `List` of `AuthzSubjectValue` objects for the requested role.
`static java.lang.String` | `ROOT_BREADCRUMB_URL_ATTR_NAME` The session scope attribute used to store the most recent browse url used in the breadcrumb navigation
`static java.lang.String` | `RT_CONFIG_OPTIONS` Attribute name to represent the monitor configOptions of a resource
`static java.lang.String` | `RT_SUPPORTED` Attribute name to represent the whether rt is supported for this service or not
`static java.lang.String` | `SCAN_STATE_ATTR` The request or session scope attribute under which actions store the requested `ScanState` object for autodiscovery.
`static java.lang.String` | `SERVER_APPLICATION_TYPES_CTX_ATTR` The context scope attribute under which the list of server machine types defined by general configuration is stored.
`static java.lang.String` | `SERVER_BASED_AUTO_INVENTORY` Attribute name to represent the serverBasedAutoInventory flag from the UI
`static java.lang.String` | `SERVER_BASED_AUTO_INVENTORY_VALUE` Attribute name to store the value of the above flag
`static java.lang.String` | `SERVERS_ATTR` The request scope attribute under which actions store the full `List` of `ServerValue` objects (in the inventory context) or `ResourceDisplaySummary` beans (in the monitoring context).
`static java.lang.String` | `SERVICE_LOCATOR_CTX_ATTR` The context scope attribute under which the service locator is stored.
`static java.lang.String` | `SERVICE_RT` Attribute name to represent serviceResponseTime
`static java.lang.String` | `SERVICES_ATTR` The request scope attribute under which actions store the full `List` of `ServiceValue` objects (in the inventory context) or `ResourceDisplaySummary` beans (in the monitoring context).
`static java.lang.String` | `SNMP_LOCAL_ENGINE_ID` Attribute name for the SNMP local engine ID
`static java.lang.String` | `SUB_MINI_TABS_ATTR` The request scope attribute under which actions store a `List` of `MiniTab` objects representing the minitabs to be displayed on the screen.
`static java.lang.String` | `TIME_INTERVALS_ATTR`
`static java.lang.String` | `TITLE_PARAM_ATTR` The request scope attribute under which actions store the (optional) substitution parameter for the page title.
`static java.lang.String` | `TITLE_PARAM2_ATTR` The request scope attribute under which actions store the (optional) second substitution parameter for the page title.
`static java.lang.String` | `URL_ATTR` The request or session scope attribute under which actions store the requested url.
`static java.lang.String` | `USER_ATTR` The request or session scope attribute under which actions store the requested `AuthzSubjectValue` object.
`static java.lang.String` | `USER_OPERATIONS_ATTR` The request attribute under which the list of operations allowed for the given user is stored.
`static java.lang.String` | `USERS_SES_PORTAL` the portal that contains the useres dashboard settings.
`static java.lang.String` | `WEBUSER_SES_ATTR` The session scope attribute under which the User object for the currently logged in user is stored.
`static java.lang.String` | `WORKFLOW_COMPARE_METRICS_NAME` The workflow name for comparing metrics
`static java.lang.String` | `WORKFLOW_SES_ATTR` The sesion scope attribute under which the global workflow mapping is stored.
`static java.lang.String` | `XLIB_INSTALLED` XLib present

Field Detail

### USERS_SES_PORTAL

    static final java.lang.String USERS_SES_PORTAL

  the portal that contains the useres dashboard settings. this is placed in the session for scalability reasons.

  See Also:
    Constant Field Values

### WEBUSER_SES_ATTR

    static final java.lang.String WEBUSER_SES_ATTR

  The session scope attribute under which the User object for the currently logged in user is stored.

  See Also:
    Constant Field Values

### PASSWORD_SES_ATTR

    static final java.lang.String PASSWORD_SES_ATTR

  The session scope attribute under which an LDAP user's password is stored during registration.

  See Also:
    Constant Field Values

### NEEDS_REGISTRATION

    static final java.lang.String NEEDS_REGISTRATION

See Also:
  Constant Field Values

### CHART_DATA_SES_ATTR

    static final java.lang.String CHART_DATA_SES_ATTR

  The session scope attribute under which the `List` of beans containing data for rendering a chart is stored.

  See Also:
    Constant Field Values

### DEF_USER_PREFS

    static final java.lang.String DEF_USER_PREFS

  The session scope attribute under which the default user preferences live

  See Also:
    Constant Field Values

### DEF_ROLE_DASH_PREFS

    static final java.lang.String DEF_ROLE_DASH_PREFS

  The session scope attribute under which the default role dashboard preferences live

  See Also:
    Constant Field Values

### DEF_USER_DASH_PREFS

    static final java.lang.String DEF_USER_DASH_PREFS

  The session scope attribute under which the defualt user dashboard preferences live

  See Also:
    Constant Field Values

### IS_DASHBOARD_REMOVED

    static final java.lang.String IS_DASHBOARD_REMOVED

  The request scope attribute for toggle dashboard display for default dashboard change

  See Also:
    Constant Field Values

### PENDING_USERS_SES_ATTR

    static final java.lang.String PENDING_USERS_SES_ATTR

  The session scope attribute under which the ids of users pending association with a role are stored.

  See Also:
    Constant Field Values

### PENDING_ROLES_SES_ATTR

    static final java.lang.String PENDING_ROLES_SES_ATTR

  The session scope attribute under which the ids of roles pending association with a user are stored.

  See Also:
    Constant Field Values

### PENDING_RESGRPS_SES_ATTR

    static final java.lang.String PENDING_RESGRPS_SES_ATTR

  The session scope attribute under which the ids of groups pending association with a role are stored.

  See Also:
    Constant Field Values

### PENDING_APPSVCS_SES_ATTR

    static final java.lang.String PENDING_APPSVCS_SES_ATTR

  The session scope attribute under which the ids of services pending association with a application are stored.

  See Also:
    Constant Field Values

### PENDING_APPSVCS_REQ_ATTR

    static final java.lang.String PENDING_APPSVCS_REQ_ATTR

See Also:
  Constant Field Values

### NUM_PENDING_APPSVCS_REQ_ATTR

    static final java.lang.String NUM_PENDING_APPSVCS_REQ_ATTR

See Also:
  Constant Field Values

### AVAIL_APPSVCS_REQ_ATTR

    static final java.lang.String AVAIL_APPSVCS_REQ_ATTR

See Also:
  Constant Field Values

### NUM_AVAIL_APPSVCS_REQ_ATTR

    static final java.lang.String NUM_AVAIL_APPSVCS_REQ_ATTR

See Also:
  Constant Field Values

### PENDING_SVCDEPS_SES_ATTR

    static final java.lang.String PENDING_SVCDEPS_SES_ATTR

See Also:
  Constant Field Values

### PENDING_SVCDEPS_REQ_ATTR

    static final java.lang.String PENDING_SVCDEPS_REQ_ATTR

See Also:
  Constant Field Values

### NUM_PENDING_SVCDEPS_REQ_ATTR

    static final java.lang.String NUM_PENDING_SVCDEPS_REQ_ATTR

See Also:
  Constant Field Values

### AVAIL_SVCDEPS_REQ_ATTR

    static final java.lang.String AVAIL_SVCDEPS_REQ_ATTR

See Also:
  Constant Field Values

### NUM_AVAIL_SVCDEPS_REQ_ATTR

    static final java.lang.String NUM_AVAIL_SVCDEPS_REQ_ATTR

See Also:
  Constant Field Values

### APPSVC_CURRENT_ATTR

    static final java.lang.String APPSVC_CURRENT_ATTR

See Also:
  Constant Field Values

### APPSVC_DEPENDEES_ATTR

    static final java.lang.String APPSVC_DEPENDEES_ATTR

See Also:
  Constant Field Values

### APPSVC_DEPENDERS_ATTR

    static final java.lang.String APPSVC_DEPENDERS_ATTR

See Also:
  Constant Field Values

### NUM_APPSVC_DEPENDEES_ATTR

    static final java.lang.String NUM_APPSVC_DEPENDEES_ATTR

See Also:
  Constant Field Values

### NUM_APPSVC_DEPENDERS_ATTR

    static final java.lang.String NUM_APPSVC_DEPENDERS_ATTR

See Also:
  Constant Field Values

### RETURN_LOC_SES_ATTR

    static final java.lang.String RETURN_LOC_SES_ATTR

  The session scope attribute under which the return path for a sub-workflow is stored.

  See Also:
    Constant Field Values

### WORKFLOW_SES_ATTR

    static final java.lang.String WORKFLOW_SES_ATTR

  The sesion scope attribute under which the global workflow mapping is stored.

  See Also:
    Constant Field Values

### RETURN_IGNORED_FOR_OK_ATTR

    static final java.lang.String RETURN_IGNORED_FOR_OK_ATTR

  The session scope attribute under which the flag for whether or not the return path is ignored is stored. This is for the case where you want to ignore the return path for "ok," but want to use it for cancel. vewwy twicky.

  See Also:
    Constant Field Values

### ROOT_BREADCRUMB_URL_ATTR_NAME

    static final java.lang.String ROOT_BREADCRUMB_URL_ATTR_NAME

  The session scope attribute used to store the most recent browse url used in the breadcrumb navigation

  See Also:
    Constant Field Values

### BREADCRUMB_SESSION_BACKUP_ATTR_NAME

    static final java.lang.String BREADCRUMB_SESSION_BACKUP_ATTR_NAME

See Also:
  Constant Field Values

### BREADCRUMB_SESSION_ATTR_NAME

    static final java.lang.String BREADCRUMB_SESSION_ATTR_NAME

See Also:
  Constant Field Values

### LIST_SIZE_ATTR

    static final java.lang.String LIST_SIZE_ATTR

  The request scope attribute under which the total list size is stored.

  See Also:
    Constant Field Values

### PORTAL_KEY

    static final java.lang.String PORTAL_KEY

  The request scope attribute under which the Portal object is stored.

  See Also:
    Constant Field Values

### TITLE_PARAM_ATTR

    static final java.lang.String TITLE_PARAM_ATTR

  The request scope attribute under which actions store the (optional) substitution parameter for the page title.

  See Also:
    Constant Field Values

### TITLE_PARAM2_ATTR

    static final java.lang.String TITLE_PARAM2_ATTR

  The request scope attribute under which actions store the (optional) second substitution parameter for the page title.

  See Also:
    Constant Field Values

### PENDING_RESOURCES_SES_ATTR

    static final java.lang.String PENDING_RESOURCES_SES_ATTR

  The session scope attribute under which the ids of resources pending association with a group are stored.

  See Also:
    Constant Field Values

### NUM_RESOURCES_ATTR

    static final java.lang.String NUM_RESOURCES_ATTR

  The request scope attribute under which actions store the number of `AppdefResourceValue` objects in the associated `List`.

  See Also:
    Constant Field Values

### AVAIL_RESOURCES_ATTR

    static final java.lang.String AVAIL_RESOURCES_ATTR

  The request scope attribute under which actions store the `List` of available `AppdefResourceValue` objects.

  See Also:
    Constant Field Values

### NUM_AVAIL_RESOURCES_ATTR

    static final java.lang.String NUM_AVAIL_RESOURCES_ATTR

  The request scope attribute under which actions store the number of available `AppdefResourceValue` objects for a AuthzSubjectValue in the associated `List`.

  See Also:
    Constant Field Values

### PENDING_RESOURCES_ATTR

    static final java.lang.String PENDING_RESOURCES_ATTR

  The request scope attribute under which actions store the `List` of pending `AppdefResourceValue` objects.

  See Also:
    Constant Field Values

### NUM_PENDING_RESOURCES_ATTR

    static final java.lang.String NUM_PENDING_RESOURCES_ATTR

  The request scope attribute under which actions store the number of available `AppdefResourceValue` objects for a AuthzSubjectValue in the associated `List`.

  See Also:
    Constant Field Values

### ALL_EVENTS_ATTR

    static final java.lang.String ALL_EVENTS_ATTR

  The request scope attribute under which actions store the full `List` of `EventValue` objects.

  See Also:
    Constant Field Values

### ALL_RESTYPES_ATTR

    static final java.lang.String ALL_RESTYPES_ATTR

  The request scope attribute under which actions store the full `List` of `ResourceTypeValue` objects.

  See Also:
    Constant Field Values

### ALL_PERMS_ATTR

    static final java.lang.String ALL_PERMS_ATTR

  The request scope attribute under which actions store the full `List` of `ResourceTypeValue` objects.

  See Also:
    Constant Field Values

### ALL_OPS_ATTR

    static final java.lang.String ALL_OPS_ATTR

  The request scope attribute under which actions store the full `List` of `ResourceTypeValue` objects.

  See Also:
    Constant Field Values

### ROLE_USERS_ATTR

    static final java.lang.String ROLE_USERS_ATTR

  The request scope attribute under which actions store the `List` of `AuthzSubjectValue` objects for the requested role.

  See Also:
    Constant Field Values

### ROLE_RESGRPS_ATTR

    static final java.lang.String ROLE_RESGRPS_ATTR

  The request scope attribute under which actions store the `List` of `ResourceGroupValue` objects for the requested role.

  See Also:
    Constant Field Values

### NUM_USERS_ATTR

    static final java.lang.String NUM_USERS_ATTR

  The request scope attribute under which actions store the number of `AuthzSubjectValue` objects in the associated `List`.

  See Also:
    Constant Field Values

### ALL_USERS_ATTR

    static final java.lang.String ALL_USERS_ATTR

  The request scope attribute under which actions store the full `List` of `AuthzSubjectValue` objects.

  See Also:
    Constant Field Values

### ALL_PRINCIPALS_ATTR

    static final java.lang.String ALL_PRINCIPALS_ATTR

  The request scope attribute under which actions store the full `HashMap` of principals

  See Also:
    Constant Field Values

### SERVICES_ATTR

    static final java.lang.String SERVICES_ATTR

  The request scope attribute under which actions store the full `List` of `ServiceValue` objects (in the inventory context) or `ResourceDisplaySummary` beans (in the monitoring context).

  See Also:
    Constant Field Values

### SERVERS_ATTR

    static final java.lang.String SERVERS_ATTR

  The request scope attribute under which actions store the full `List` of `ServerValue` objects (in the inventory context) or `ResourceDisplaySummary` beans (in the monitoring context).

  See Also:
    Constant Field Values

### APPDEF_ENTRIES_ATTR

    static final java.lang.String APPDEF_ENTRIES_ATTR

  The request scope attribute under which actions store the full `List` of `ServiceValue` objects.

  See Also:
    Constant Field Values

### APPLICATIONS_ATTR

    static final java.lang.String APPLICATIONS_ATTR

  The request scope attribute under which actions store the full `List` of `ApplicationValue` objects.

  See Also:
    Constant Field Values

### AVAIL_USERS_ATTR

    static final java.lang.String AVAIL_USERS_ATTR

  The request scope attribute under which actions store the `List` of `AuthzSubjectValue` objects representing those users not associated with a particular role.

  See Also:
    Constant Field Values

### PENDING_USERS_ATTR

    static final java.lang.String PENDING_USERS_ATTR

  The request scope attribute under which actions store the `List` of `AuthzSubjectValue` objects representing those users pending association with a particular role.

  See Also:
    Constant Field Values

### NUM_RESGRPS_ATTR

    static final java.lang.String NUM_RESGRPS_ATTR

  The request scope attribute under which actions store the number of `ResourceGroupValue` objects in the associated `List`.

  See Also:
    Constant Field Values

### ALL_RESGRPS_ATTR

    static final java.lang.String ALL_RESGRPS_ATTR

  The request scope attribute under which actions store the full `List` of `ResourceGroupValue` objects.

  See Also:
    Constant Field Values

### NUM_AVAIL_RESGRPS_ATTR

    static final java.lang.String NUM_AVAIL_RESGRPS_ATTR

  The request scope attribute under which actions store the number of `ResourceGroupValue` objects in the associated `List` of groups available for association with a role.

  See Also:
    Constant Field Values

### AVAIL_RESGRPS_ATTR

    static final java.lang.String AVAIL_RESGRPS_ATTR

  the request scope attribute under which actions store the `list` of `resourcegroupsvalue` objects representing those resource groups not associated with a particular role.

  See Also:
    Constant Field Values

### NUM_PENDING_RESGRPS_ATTR

    static final java.lang.String NUM_PENDING_RESGRPS_ATTR

  The request scope attribute under which actions store the number of `ResourceGroupValue` objects in the associated `List` of groups pending association with a role.

  See Also:
    Constant Field Values

### PENDING_RESGRPS_ATTR

    static final java.lang.String PENDING_RESGRPS_ATTR

  The request scope attribute under which actions store the `List` of `ResourceGroupValue` objects representing those groups pending association with a particular role.

  See Also:
    Constant Field Values

### USER_ATTR

    static final java.lang.String USER_ATTR

  The request or session scope attribute under which actions store the requested `AuthzSubjectValue` object.

  See Also:
    Constant Field Values

### RESOURCE_REMOVE_CHILDREN_FORM_ATTR

    static final java.lang.String RESOURCE_REMOVE_CHILDREN_FORM_ATTR

See Also:
  Constant Field Values

### RESOURCE_REMOVE_FORM_ATTR

    static final java.lang.String RESOURCE_REMOVE_FORM_ATTR

See Also:
  Constant Field Values

### RESOURCE_REMOVE_SERVERS_FORM_ATTR

    static final java.lang.String RESOURCE_REMOVE_SERVERS_FORM_ATTR

See Also:
  Constant Field Values

### RESOURCE_REMOVE_SERVICES_FORM_ATTR

    static final java.lang.String RESOURCE_REMOVE_SERVICES_FORM_ATTR

See Also:
  Constant Field Values

### RESOURCE_REMOVE_APPSERVICES_FORM_ATTR

    static final java.lang.String RESOURCE_REMOVE_APPSERVICES_FORM_ATTR

See Also:
  Constant Field Values

### RESOURCE_REMOVE_GROUPS_MEMBERS_FORM_ATTR

    static final java.lang.String RESOURCE_REMOVE_GROUPS_MEMBERS_FORM_ATTR

See Also:
  Constant Field Values

### GROUP_REMOVE_MEMBERS_FORM_ATTR

    static final java.lang.String GROUP_REMOVE_MEMBERS_FORM_ATTR

See Also:
  Constant Field Values

### GROUP_FORM_ATTR

    static final java.lang.String GROUP_FORM_ATTR

See Also:
  Constant Field Values

### SERVICE_LOCATOR_CTX_ATTR

    static final java.lang.String SERVICE_LOCATOR_CTX_ATTR

  The context scope attribute under which the service locator is stored.

  See Also:
    Constant Field Values

### JAAS_PROVIDER_CTX_ATTR

    static final java.lang.String JAAS_PROVIDER_CTX_ATTR

  The context scope attribute under which the JAAS provider name is stored.

  See Also:
    Constant Field Values

### PERMISSIONS_CTX_ATTR

    static final java.lang.String PERMISSIONS_CTX_ATTR

  The context scope attribute under which the list of permissions defined by the application is stored.

  See Also:
    Constant Field Values

### OPERATIONS_CTX_ATTR

    static final java.lang.String OPERATIONS_CTX_ATTR

  The context scope attribute under which the list of operations defined by the application is stored.

  See Also:
    Constant Field Values

### USER_OPERATIONS_ATTR

    static final java.lang.String USER_OPERATIONS_ATTR

  The request attribute under which the list of operations allowed for the given user is stored.

  See Also:
    Constant Field Values

### RESTYPES_CTX_ATTR

    static final java.lang.String RESTYPES_CTX_ATTR

  The context scope attribute under which the list of resource types defined by the application is stored.

  See Also:
    Constant Field Values

### RESOURCE_LOCATIONS_CTX_ATTR

    static final java.lang.String RESOURCE_LOCATIONS_CTX_ATTR

  The context scope attribute under which the list of resource locations defined by general configuration is stored.

  See Also:
    Constant Field Values

### PLATFORM_MACHINE_TYPES_CTX_ATTR

    static final java.lang.String PLATFORM_MACHINE_TYPES_CTX_ATTR

  The context scope attribute under which the list of platform machine types defined by general configuration is stored.

  See Also:
    Constant Field Values

### SERVER_APPLICATION_TYPES_CTX_ATTR

    static final java.lang.String SERVER_APPLICATION_TYPES_CTX_ATTR

  The context scope attribute under which the list of server machine types defined by general configuration is stored.

  See Also:
    Constant Field Values

### RESOURCE_ATTR

    static final java.lang.String RESOURCE_ATTR

  The request or session scope attribute under which actions store the requested `AppdefResourceValue` object.

  See Also:
    Constant Field Values

### RESOURCE_TYPE_ATTR

    static final java.lang.String RESOURCE_TYPE_ATTR

See Also:
  Constant Field Values

### CAN_TAKE_ACTION_ON_ALERT_ATTR

    static final java.lang.String CAN_TAKE_ACTION_ON_ALERT_ATTR

See Also:
  Constant Field Values

### CAN_MODIFY_ALERT_ATTR

    static final java.lang.String CAN_MODIFY_ALERT_ATTR

See Also:
  Constant Field Values

### CAN_VIEW_RESOURCE_TYPE_ALERT_TEMPLATE_ATTR

    static final java.lang.String CAN_VIEW_RESOURCE_TYPE_ALERT_TEMPLATE_ATTR

See Also:
  Constant Field Values

### ENTITY_IDS_ATTR

    static final java.lang.String ENTITY_IDS_ATTR

  The request or session scope attribute under which actions store the `Array` of requested `AppdefEntityID` objects.

  See Also:
    Constant Field Values

### URL_ATTR

    static final java.lang.String URL_ATTR

  The request or session scope attribute under which actions store the requested url.

  See Also:
    Constant Field Values

### AIPLATFORM_ATTR

    static final java.lang.String AIPLATFORM_ATTR

  The request or session scope attribute under which actions store the requested `AIPlatformValue` object.

  See Also:
    Constant Field Values

### AISCHEDULE_ATTR

    static final java.lang.String AISCHEDULE_ATTR

  The request or session scope attribute under which actions store the requested `AIScheduleValue` object.

  See Also:
    Constant Field Values

### LAST_AI_ERROR_ATTR

    static final java.lang.String LAST_AI_ERROR_ATTR

  The request or session scope attribute under which actions store the requested `LastAIError` object.

  See Also:
    Constant Field Values

### ALL_RESOURCES_ATTR

    static final java.lang.String ALL_RESOURCES_ATTR

  The request scope attribute under which actions store the full `List` of `AppdefResourceValue` objects.

  See Also:
    Constant Field Values

### ALL_RESOURCES_CONTROLLABLE

    static final java.lang.String ALL_RESOURCES_CONTROLLABLE

  The request scope attribute under which actions store the `List` of `AppdefResourceValue` objects upon which the web user can execute control actions.

  See Also:
    Constant Field Values

### RESOURCE_SUMMARY_ATTR

    static final java.lang.String RESOURCE_SUMMARY_ATTR

  The request scope attribute under which actions store the `AppdefSummary` object.

  See Also:
    Constant Field Values

### ALL_SCHEDULES_ATTR

    static final java.lang.String ALL_SCHEDULES_ATTR

  The request scope attribute under which actions store the full `List` of `AIScheduleValue` objects.

  See Also:
    Constant Field Values

### RESOURCE_OWNER_ATTR

    static final java.lang.String RESOURCE_OWNER_ATTR

  The request scope attribute under which actions store the `AuthzSubjectValue` representing the user who most recently modified the resource.

  See Also:
    Constant Field Values

### GROUP_TYPE_LABEL

    static final java.lang.String GROUP_TYPE_LABEL

  The request scope attribute under which actions store the `AuthzSubjectValue` representing the user who most recently modified the resource.

  See Also:
    Constant Field Values

### RESOURCE_MODIFIER_ATTR

    static final java.lang.String RESOURCE_MODIFIER_ATTR

  The request scope attribute under which actions store the `AuthzSubjectValue` representing the user who most recently modified the resource.

  See Also:
    Constant Field Values

### PARENT_RESOURCE_ATTR

    static final java.lang.String PARENT_RESOURCE_ATTR

  The request or session scope attribute under which actions store the requested `PlatformValue` object.

  See Also:
    Constant Field Values

### PLATFORM_SERVICE_ATTR

    static final java.lang.String PLATFORM_SERVICE_ATTR

  Indicate that this is a platform service we're dealing with

  See Also:
    Constant Field Values

### CHILD_RESOURCES_ATTR

    static final java.lang.String CHILD_RESOURCES_ATTR

  The request scope attribute under which actions store the `Collection` of child resources of an appdef resource.

  See Also:
    Constant Field Values

### NUM_CHILD_RESOURCES_ATTR

    static final java.lang.String NUM_CHILD_RESOURCES_ATTR

  The request scope attribute under which actions store the number of child resources of an appdef resource.

  See Also:
    Constant Field Values

### CHILD_RESOURCE_TYPE_ATTR

    static final java.lang.String CHILD_RESOURCE_TYPE_ATTR

  The request scope attribute under which actions store the `AppdefResourceTypeValue` of the child resources of an appdef resource.

  See Also:
    Constant Field Values

### RESOURCE_TYPES_ATTR

    static final java.lang.String RESOURCE_TYPES_ATTR

  The request scope attribute under which actions store the `Collection` with the number of child resources for each child resource type of an appdef resource.

  See Also:
    Constant Field Values

### RESOURCE_OTHER_TYPES_ATTR

    static final java.lang.String RESOURCE_OTHER_TYPES_ATTR

See Also:
  Constant Field Values

### RESOURCE_TYPE_MAP_ATTR

    static final java.lang.String RESOURCE_TYPE_MAP_ATTR

  The request scope attribute under which actions store the `Map` with the number of child resources for each child resource type of an appdef resource.

  See Also:
    Constant Field Values

### ALL_PLATFORMS_ATTR

    static final java.lang.String ALL_PLATFORMS_ATTR

  The request scope attribute under which actions store the full `List` of `PlatformValue` objects.

  See Also:
    Constant Field Values

### SCAN_STATE_ATTR

    static final java.lang.String SCAN_STATE_ATTR

  The request or session scope attribute under which actions store the requested `ScanState` object for autodiscovery.

  See Also:
    Constant Field Values

### IMPORT_ERROR_ATTR

    static final java.lang.String IMPORT_ERROR_ATTR

  The request or session scope attribute under which actions store the requested `ImportError` object for autodiscovery import.

  See Also:
    Constant Field Values

### IMPORT_IGNORE_ERROR_ATTR

    static final java.lang.String IMPORT_IGNORE_ERROR_ATTR

  The request or session scope attribute under which actions store the requested `IgnoreError` object for autodiscover import.

  See Also:
    Constant Field Values

### AI_SERVERS

    static final java.lang.String AI_SERVERS

  The request or session scope attribute under which actions store the requested `AIServerValue` object for autodiscovery.

  See Also:
    Constant Field Values

### AI_IPS

    static final java.lang.String AI_IPS

  The request or session scope attribute under which actions store the requested `AIIpValue` object for autodiscovery.

  See Also:
    Constant Field Values

### DEPLOYED_HEALTH_SUMMARIES_ATTR

    static final java.lang.String DEPLOYED_HEALTH_SUMMARIES_ATTR

  The request scope attribute under which actions store a `List` of `ResourceDisplaySummary` objects representing the currently viewed resource's deployed child resources.

  See Also:
    Constant Field Values

### INTERNAL_HEALTH_SUMMARIES_ATTR

    static final java.lang.String INTERNAL_HEALTH_SUMMARIES_ATTR

  The request scope attribute under which actions store a `List` of `ResourceDisplaySummary` objects representing the currently viewed resource's internal child resources.

  See Also:
    Constant Field Values

### HOST_HEALTH_SUMMARIES_ATTR

    static final java.lang.String HOST_HEALTH_SUMMARIES_ATTR

  The request scope attribute under which actions store a `List` of `ResourceDisplaySummary` objects representing the currently viewed resource's host resources.

  See Also:
    Constant Field Values

### GROUP_MEMBER_HEALTH_SUMMARIES_ATTR

    static final java.lang.String GROUP_MEMBER_HEALTH_SUMMARIES_ATTR

  The request scope attribute under which actions store a `List` of `ResourceDisplaySummary` objects representing the currently viewed compatible group's members

  See Also:
    Constant Field Values

### METRIC_SUMMARIES_ATTR

    static final java.lang.String METRIC_SUMMARIES_ATTR

  The request scope attribute under which actions store a `Map` of `MetricDisplaySummary` objects keyed by metric category.

  See Also:
    Constant Field Values

### PERF_SUMMARIES_ATTR

    static final java.lang.String PERF_SUMMARIES_ATTR

  The request scope attribute under which actions store a `PageList` of `PerformanceDisplaySummary` objects.

  See Also:
    Constant Field Values

### MINI_TABS_ATTR

    static final java.lang.String MINI_TABS_ATTR

  The request scope attribute under which actions store a `List` of `MiniTab` objects representing the minitabs to be displayed on the screen.

  See Also:
    Constant Field Values

### SUB_MINI_TABS_ATTR

    static final java.lang.String SUB_MINI_TABS_ATTR

  The request scope attribute under which actions store a `List` of `MiniTab` objects representing the minitabs to be displayed on the screen.

  See Also:
    Constant Field Values

### TIME_INTERVALS_ATTR

    static final java.lang.String TIME_INTERVALS_ATTR

See Also:
  Constant Field Values

### ALL_PLATFORM_TYPES_ATTR

    static final java.lang.String ALL_PLATFORM_TYPES_ATTR

See Also:
  Constant Field Values

### ALL_SERVER_TYPES_ATTR

    static final java.lang.String ALL_SERVER_TYPES_ATTR

See Also:
  Constant Field Values

### ALL_PLATFORM_SERVICE_TYPES_ATTR

    static final java.lang.String ALL_PLATFORM_SERVICE_TYPES_ATTR

See Also:
  Constant Field Values

### ALL_WINDOWS_SERVICE_TYPES_ATTR

    static final java.lang.String ALL_WINDOWS_SERVICE_TYPES_ATTR

See Also:
  Constant Field Values

### SERVER_BASED_AUTO_INVENTORY_VALUE

    static final java.lang.String SERVER_BASED_AUTO_INVENTORY_VALUE

  Attribute name to store the value of the above flag

  See Also:
    Constant Field Values

### AUTO_INVENTORY

    static final java.lang.String AUTO_INVENTORY

  Attribute name to store the status of the sbai flag

  See Also:
    Constant Field Values

### EDIT_CONFIG

    static final java.lang.String EDIT_CONFIG

  Attribute name to allow/disallow edit of Config Properties

  See Also:
    Constant Field Values

### AGENT

    static final java.lang.String AGENT

  Attribute name to represent the agents of a platform

  See Also:
    Constant Field Values

### AGENTS_COUNT

    static final java.lang.String AGENTS_COUNT

  Attribute name to represent the agents of a platform

  See Also:
    Constant Field Values

### RT_SUPPORTED

    static final java.lang.String RT_SUPPORTED

  Attribute name to represent the whether rt is supported for this service or not

  See Also:
    Constant Field Values

### EU_RT_SUPPORTED

    static final java.lang.String EU_RT_SUPPORTED

  Attribute name to represent the whether end user rt is supported for this service or not

  See Also:
    Constant Field Values

### SERVICE_RT

    static final java.lang.String SERVICE_RT

  Attribute name to represent serviceResponseTime

  See Also:
    Constant Field Values

### EU_RT

    static final java.lang.String EU_RT

  Attribute name to represent endUserResponseTime

  See Also:
    Constant Field Values

### PENDING_METRICS_ATTR

    static final java.lang.String PENDING_METRICS_ATTR

See Also:
  Constant Field Values

### NUM_PENDING_METRICS_ATTR

    static final java.lang.String NUM_PENDING_METRICS_ATTR

See Also:
  Constant Field Values

### AVAIL_METRICS_ATTR

    static final java.lang.String AVAIL_METRICS_ATTR

See Also:
  Constant Field Values

### CONTROL_CURRENT_STATUS_ATTR

    static final java.lang.String CONTROL_CURRENT_STATUS_ATTR

  Attribute for value object holding current status of last control action.

  See Also:
    `org.hyperic.hq.ui.c`, Constant Field Values

### CONTROL_HST_DETAIL_ATTR

    static final java.lang.String CONTROL_HST_DETAIL_ATTR

  A value for a request attribute.
  which is a list of a history of control items.

  See Also:
    Constant Field Values

### CURR_CONFIG_SCHEMA

    static final java.lang.String CURR_CONFIG_SCHEMA

  current configSchema for validation checks

  See Also:
    Constant Field Values

### OLD_CONFIG_RESPONSE

    static final java.lang.String OLD_CONFIG_RESPONSE

  old configResponse for validation checks

  See Also:
    Constant Field Values

### CONTROL_ENABLED_ATTR

    static final java.lang.String CONTROL_ENABLED_ATTR

  Request attribute of whether or not control is enabled for this resource.

  See Also:
    Constant Field Values

### PERFORMANCE_SUPPORTED_ATTR

    static final java.lang.String PERFORMANCE_SUPPORTED_ATTR

  is performance enabled for this resource?

  See Also:
    Constant Field Values

### CONTROL_ACTIONS_SERVER_ATTR

    static final java.lang.String CONTROL_ACTIONS_SERVER_ATTR

  Request attribute of the list of scheduled control actions.

  See Also:
    Constant Field Values

### CAT_AVAILABILITY_METRICS_ATTR

    static final java.lang.String CAT_AVAILABILITY_METRICS_ATTR

See Also:
  Constant Field Values

### CAT_PERFORMANCE_METRICS_ATTR

    static final java.lang.String CAT_PERFORMANCE_METRICS_ATTR

See Also:
  Constant Field Values

### CAT_THROUGHPUT_METRICS_ATTR

    static final java.lang.String CAT_THROUGHPUT_METRICS_ATTR

See Also:
  Constant Field Values

### CAT_UTILIZATION_METRICS_ATTR

    static final java.lang.String CAT_UTILIZATION_METRICS_ATTR

See Also:
  Constant Field Values

### ALERTS_ATTR

    static final java.lang.String ALERTS_ATTR

See Also:
  Constant Field Values

### ALERT_DEFS_ATTR

    static final java.lang.String ALERT_DEFS_ATTR

See Also:
  Constant Field Values

### ALERT_DEFINITION_ATTR

    static final java.lang.String ALERT_DEFINITION_ATTR

See Also:
  Constant Field Values

### PRODUCT_CONFIG_OPTIONS

    static final java.lang.String PRODUCT_CONFIG_OPTIONS

  Attribute name to represent the shared configOptions of a resource

  See Also:
    Constant Field Values

### MONITOR_CONFIG_OPTIONS

    static final java.lang.String MONITOR_CONFIG_OPTIONS

  Attribute name to represent the monitor configOptions of a resource

  See Also:
    Constant Field Values

### MONITOR_ENABLED_ATTR

    static final java.lang.String MONITOR_ENABLED_ATTR

  Request attribute indicating whether monitoring is enabled for a resource.

  See Also:
    Constant Field Values

### MONITOR_HELP

    static final java.lang.String MONITOR_HELP

  Request attribute to hold monitoring help text

  See Also:
    Constant Field Values

### RT_CONFIG_OPTIONS

    static final java.lang.String RT_CONFIG_OPTIONS

  Attribute name to represent the monitor configOptions of a resource

  See Also:
    Constant Field Values

### CONTROL_CONFIG_OPTIONS

    static final java.lang.String CONTROL_CONFIG_OPTIONS

  Attribute name to represent the control configOptions of a resource

  See Also:
    Constant Field Values

### PRODUCT_CONFIG_OPTIONS_COUNT

    static final java.lang.String PRODUCT_CONFIG_OPTIONS_COUNT

  Attribute name to represent the shared configOptions count of a resource

  See Also:
    Constant Field Values

### MONITOR_CONFIG_OPTIONS_COUNT

    static final java.lang.String MONITOR_CONFIG_OPTIONS_COUNT

  Attribute name to represent the monitor configOptions count of a resource

  See Also:
    Constant Field Values

### CONTROL_CONFIG_OPTIONS_COUNT

    static final java.lang.String CONTROL_CONFIG_OPTIONS_COUNT

  Attribute name to represent the control configOptions count of a resource

  See Also:
    Constant Field Values

### SERVER_BASED_AUTO_INVENTORY

    static final java.lang.String SERVER_BASED_AUTO_INVENTORY

  Attribute name to represent the serverBasedAutoInventory flag from the UI

  See Also:
    Constant Field Values

### CHART_DATA_KEYS

    static final java.lang.String CHART_DATA_KEYS

  Attribute to look up the chart data key.

  See Also:
    Constant Field Values

### CHART_DATA_KEYS_SIZE

    static final java.lang.String CHART_DATA_KEYS_SIZE

  Attribute to look up the chart data key size.

  See Also:
    Constant Field Values

### CONTROL_ENABLED

    static final java.lang.String CONTROL_ENABLED

  Attribute name to represent whether or not control is enabled.

  See Also:
    Constant Field Values

### CUSTPROPS_AVAIL

    static final java.lang.String CUSTPROPS_AVAIL

  Attribute name to represent whether or not custom properties is available

  See Also:
    Constant Field Values

### PLATFORM_OS_EDITABLE

    static final java.lang.String PLATFORM_OS_EDITABLE

  Attribute to represent whether OS Type is editable in the Platform EditTypeNetworkProperties form

  See Also:
    Constant Field Values

### CURR_RES_LOCATION_MODE

    static final java.lang.String CURR_RES_LOCATION_MODE

  keyword identifier for the current resource location

  See Also:
    Constant Field Values

### CURR_RES_LOCATION_TYPE

    static final java.lang.String CURR_RES_LOCATION_TYPE

See Also:
  Constant Field Values

### CURR_RES_LOCATION_TAG

    static final java.lang.String CURR_RES_LOCATION_TAG

See Also:
  Constant Field Values

### PROPS_TAGLIB_NAME

    static final java.lang.String PROPS_TAGLIB_NAME

  name of the table properties file that is stored in the servlet context

  See Also:
    Constant Field Values

### AI_SAMPLE_SERVICETYPE_LIST

    static final java.lang.String AI_SAMPLE_SERVICETYPE_LIST

  Used in generating the message next to the "Auto-Discover {0}?" checkbox

  See Also:
    Constant Field Values

### CTX_INTERNAL

    static final java.lang.String CTX_INTERNAL

  Tiles context attribute used to denote internal services

  See Also:
    Constant Field Values

### CTX_SUMMARIES

    static final java.lang.String CTX_SUMMARIES

  Tiles context attribute used to store resource health summaries

  See Also:
    Constant Field Values

### INVENTORY_HIERARCHY_ATTR

    static final java.lang.String INVENTORY_HIERARCHY_ATTR

  Attribute which holds the current inv hierarchy for Res Hub

  See Also:
    Constant Field Values

### WORKFLOW_COMPARE_METRICS_NAME

    static final java.lang.String WORKFLOW_COMPARE_METRICS_NAME

  The workflow name for comparing metrics

  See Also:
    Constant Field Values

### RESOURCE_HEALTH_LIST

    static final java.lang.String RESOURCE_HEALTH_LIST

See Also:
  Constant Field Values

### AJAX_TYPE

    static final java.lang.String AJAX_TYPE

  AJAX attributes

  See Also:
    Constant Field Values

### AJAX_ID

    static final java.lang.String AJAX_ID

See Also:
  Constant Field Values

### AJAX_HTML

    static final java.lang.String AJAX_HTML

See Also:
  Constant Field Values

### AJAX_JSON

    static final java.lang.String AJAX_JSON

See Also:
  Constant Field Values

### XLIB_INSTALLED

    static final java.lang.String XLIB_INSTALLED

  XLib present

  See Also:
    Constant Field Values

### SNMP_LOCAL_ENGINE_ID

    static final java.lang.String SNMP_LOCAL_ENGINE_ID

  Attribute name for the SNMP local engine ID

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.